Subject: Re: bug#30660: mention describe-bindings on (info "(emacs) Keymaps")

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jan 2020 10:07:56 +0200

> From: Stefan Kangas <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 16 Jan 2020 23:01:50 +0100
> 
> >> Re-reading your message, I see that you also asked for a
> >> "cross-reference in the elisp manual which points to that".  My patch
> >> did not add such a reference.  That was an oversight on my part.
> >
> > Yes, that's what I was missing.  Also, the log message says
> >
> >   * lisp/help-fns.el (describe-keymap): New command to show key bindings
> >   for a given keymap.  (Bug#30660)
> >   * doc/emacs/help.texi (Misc Help): Document it.
> >
> > but I see no patch part that describes describe-keymap in help.texi...
> 
> Please find attached an updated patch below.

Thanks.

> +@findex describe-keymap
> +Finally, @kbd{M-x describe-keymap} prompts for the name of a keymap
> +variable and displays a listing of all key bindings in that keymap.

This should mention the completion on keymaps:

  "...prompts for the name of a keymap, with completion, and displays
  the listing of all the key bindings in that keymap."

Also, do we want to have some reasonable default value for this
prompt?

Otherwise, LGTM.